Updating to 1.1.3 does not update baseband

Discussion in 'iPhone Tips, Help and Troubleshooting' started by philgilder, Feb 14, 2008.

  1. philgilder macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #1
    I have an OOB 1.1.2 (BL 4.6) UK iphone

    i want to use ziphone to unlock my iphone, i can do this fine on 1.1.3
    but i also want baseband 04.03.13_G
    whatever i do (update restore etc etc) to 1.1.3 the baseband wont change, and it just stays on 04.02.13_G

    any ideas? thanks
     
  2. firstrest macrumors member

    Joined:
    Oct 12, 2006
    #2
    I have the same phone version as you. I have noticed that restoring in itunes and then jailbreaking & activating with ziphone leaves you with 1.1.3 & 4.03.13 baseand. If you then apply the unlock, the baseband reverts to 4.02.13. Is this what's happening with you?

    Anyone have any advice on how to keep 04.03.13 with the unlock?
     
  3. Diatribe macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #3
    There is no way to get the new BB with the 4.6 BL. You have to downgrade the BL to 3.9 (possible with ZiPhone 2.0).

    However I would NOT recommend this. First of all every BL flash is dangerous and second you cannot upgrade to the 4.6 BL again. Once you downgrade it stays that way.
    And GeoHot is supposedly working on a custom BL that would work with future firmware upgrades also. But it will need the 4.6 BL to be applied so you would give up on that chance if you downgrade to 3.9 now.

    Your call.
     
  4. philgilder thread starter macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #4
    oh, well i didnt check the baseband before i unlocked, maybe it does get downgraded...
    ok then, i wanted gmaps locate feature to work properly (i know about the fix)

    yeah there is, the firmware update updates the BASEBAND (NOT bootloader) when the iphone update is applied - the new baseband is needed for new features (such as location)
    i was checking i was doing it right as my baseband stayed on the older version

    interesting info, thanks!
     
  5. Diatribe macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #5
    Again, currently there is no way to unlock the iPhone and have the new BB while staying with the 4.6 BL.
    In order to upgrade the BB and have it unlocked you need to downgrade the BL to 3.9. As I said though, I don't really recommend this right now.
     
  6. philgilder thread starter macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #6
    ok fine, but thats not really what you said first time :D

    thanks
     
  7. Diatribe macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #7
    Hehe, no worries. I thought that was clear when you said you wanted to unlock it. :)
     
  8. philgilder thread starter macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #8
    i apologise, i didnt mean unlock :eek: i meant activate
    sorry! ;)
    anyway, just jailbreaking and activating doesnt work, you have to unlock it (yes, thats about the 156th time ive restored my iphone in 1 day)
     
  9. spib macrumors newbie

    Joined:
    Feb 18, 2008
    Location:
    Nottingham, UK
    #9
    I'm in the same position as you guys. Is the only downside of this that the 'Locate Me' feature won't work?
     
  10. Dr.Cody macrumors newbie

    Joined:
    Apr 17, 2004
    Location:
    The Netherlands
    #10
    The Fix

    You have to either downgrade your iPhone to 1.1.2 and then upgrade to 1.1.3.

    or

    Force your iPhone in DFU mode and then restore.

    This did the trick with two iPhones (4.6 BL)here. :D

    Update: unlocking with ZiPhone 2.4 downgraded the baseband to 4.02.13 :(
     
  11. philgilder thread starter macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #11
    yes, but using the locateme program from installer fixes it
     
  12. ilovemyiphone macrumors newbie

    Joined:
    Feb 24, 2008
    #12
    totally lost...

    Hi all,

    I read through a lot of forums with the result that I am completely confused right now :(

    I do have a 1.1.2 iPhone (it was 1.1.1 OOB, so there is the old bootloader / baseband? on it) which is unlocked with anysim 1.2.1u. What happens if i use the regular 1.1.3 update via iTunes?
    - Is the phone bricked
    - or just upgraded and re-locked again?

    I thought a 1.1.3 update WILL update the baseband - so after the update it basically is an 1.1.3 OOB?

    The other thing is, if i do unlock a 1.1.3 OOB with ZiPhone or iJailbreak this means the locate me feature wont work?

    Sorry for those silly questions - I've read a lot of posts but just can't find the answer... My phone needs to be swapped so I need to get rid of the unlock and jailbreak. And since I will get a 1.1.3 i am not sure if there is any disadvantage...
     
  13. philgilder thread starter macrumors 68000

    Joined:
    Sep 30, 2007
    Location:
    UK
    #13
    yep, update to 1.1.3 using itunes, and it will be relocked and in an OOB state

    just use ziphone to unlock it
    and the locate feature will work, you may need to use another app each time you reboot to make it work
     

Share This Page